For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
      • GETGet Custom Code
      • PUTAdd/Update Custom Code
      • DELDelete Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Custom CodeCustom Code - Pages

Delete Custom Code

DELETE
https://api.webflow.com/v2/pages/:page_id/custom_code
DELETE
/v2/pages/:page_id/custom_code
$curl -X DELETE https://api.webflow.com/v2/pages/63c720f9347c2139b248e552/custom_code \
> -H "Authorization: Bearer <token>"
Remove all scripts from a page applied by the App. This endpoint will not remove scripts from the site's registered scripts. To remove individual scripts applied by the App, use the [Add/Update Custom Code](/data/reference/custom-code/custom-code-pages/upsert-custom-code) endpoint. <Note>Access to this endpoint requires a bearer token obtained from an [OAuth Code Grant Flow](/data/reference/oauth-app).</Note> Required scope | `custom_code:write`
Was this page helpful?
Previous

List Assets

Next
Built with

Remove all scripts from a page applied by the App. This endpoint will not remove scripts from the site’s registered scripts.

To remove individual scripts applied by the App, use the Add/Update Custom Code endpoint.

Access to this endpoint requires a bearer token obtained from an OAuth Code Grant Flow.

Required scope | custom_code:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Response

Request was successful. No Content is returned.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error